import { Directive, HostBinding, Input } from '@angular/core';
import { format } from '../utils/format';
/**
 * Border color directives
 */
var BorderColorDirective = (function () {
    function BorderColorDirective() {
    }
    Object.defineProperty(BorderColorDirective.prototype, "borderColor", {
        set: function (val) {
            this._borderColor = val;
        },
        enumerable: true,
        configurable: true
    });
    BorderColorDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderColor]'
                },] },
    ];
    /** @nocollapse */
    BorderColorDirective.ctorParameters = function () { return []; };
    BorderColorDirective.propDecorators = {
        "_borderColor": [{ type: HostBinding, args: ['style.border-color',] },],
        "borderColor": [{ type: Input },],
    };
    return BorderColorDirective;
}());
export { BorderColorDirective };
var BorderTopColorDirective = (function () {
    function BorderTopColorDirective() {
    }
    Object.defineProperty(BorderTopColorDirective.prototype, "borderTopColor", {
        set: function (val) {
            this._borderTopColor = val;
        },
        enumerable: true,
        configurable: true
    });
    BorderTopColorDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderTopColor]'
                },] },
    ];
    /** @nocollapse */
    BorderTopColorDirective.ctorParameters = function () { return []; };
    BorderTopColorDirective.propDecorators = {
        "_borderTopColor": [{ type: HostBinding, args: ['style.border-top-color',] },],
        "borderTopColor": [{ type: Input },],
    };
    return BorderTopColorDirective;
}());
export { BorderTopColorDirective };
var BorderBottomColorDirective = (function () {
    function BorderBottomColorDirective() {
    }
    Object.defineProperty(BorderBottomColorDirective.prototype, "borderBottomColor", {
        set: function (val) {
            this._borderBottomColor = val;
        },
        enumerable: true,
        configurable: true
    });
    BorderBottomColorDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderBottomColor]'
                },] },
    ];
    /** @nocollapse */
    BorderBottomColorDirective.ctorParameters = function () { return []; };
    BorderBottomColorDirective.propDecorators = {
        "_borderBottomColor": [{ type: HostBinding, args: ['style.border-bottom-color',] },],
        "borderBottomColor": [{ type: Input },],
    };
    return BorderBottomColorDirective;
}());
export { BorderBottomColorDirective };
var BorderLeftColorDirective = (function () {
    function BorderLeftColorDirective() {
    }
    Object.defineProperty(BorderLeftColorDirective.prototype, "borderLeftColor", {
        set: function (val) {
            this._borderLeftColor = val;
        },
        enumerable: true,
        configurable: true
    });
    BorderLeftColorDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderLeftColor]'
                },] },
    ];
    /** @nocollapse */
    BorderLeftColorDirective.ctorParameters = function () { return []; };
    BorderLeftColorDirective.propDecorators = {
        "_borderLeftColor": [{ type: HostBinding, args: ['style.border-left-color',] },],
        "borderLeftColor": [{ type: Input },],
    };
    return BorderLeftColorDirective;
}());
export { BorderLeftColorDirective };
var BorderRightColorDirective = (function () {
    function BorderRightColorDirective() {
    }
    Object.defineProperty(BorderRightColorDirective.prototype, "borderRightColor", {
        set: function (val) {
            this._borderRightColor = val;
        },
        enumerable: true,
        configurable: true
    });
    BorderRightColorDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderRightColor]'
                },] },
    ];
    /** @nocollapse */
    BorderRightColorDirective.ctorParameters = function () { return []; };
    BorderRightColorDirective.propDecorators = {
        "_borderRightColor": [{ type: HostBinding, args: ['style.border-right-color',] },],
        "borderRightColor": [{ type: Input },],
    };
    return BorderRightColorDirective;
}());
export { BorderRightColorDirective };
/**
 * Border width directives
 */
var BorderWidthDirective = (function () {
    function BorderWidthDirective() {
    }
    Object.defineProperty(BorderWidthDirective.prototype, "borderWidth", {
        set: function (val) {
            this._borderWidth = format(val);
            this._borderStyle = 'solid';
        },
        enumerable: true,
        configurable: true
    });
    BorderWidthDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderWidth]'
                },] },
    ];
    /** @nocollapse */
    BorderWidthDirective.ctorParameters = function () { return []; };
    BorderWidthDirective.propDecorators = {
        "_borderWidth": [{ type: HostBinding, args: ['style.border-width',] },],
        "_borderStyle": [{ type: HostBinding, args: ['style.border-style',] },],
        "borderWidth": [{ type: Input },],
    };
    return BorderWidthDirective;
}());
export { BorderWidthDirective };
var BorderTopWidthDirective = (function () {
    function BorderTopWidthDirective() {
    }
    Object.defineProperty(BorderTopWidthDirective.prototype, "borderTopWidth", {
        set: function (val) {
            this._borderTopWidth = format(val);
            this._borderStyle = 'solid';
        },
        enumerable: true,
        configurable: true
    });
    BorderTopWidthDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderTopWidth]'
                },] },
    ];
    /** @nocollapse */
    BorderTopWidthDirective.ctorParameters = function () { return []; };
    BorderTopWidthDirective.propDecorators = {
        "_borderTopWidth": [{ type: HostBinding, args: ['style.border-top-width',] },],
        "_borderStyle": [{ type: HostBinding, args: ['style.border-top-style',] },],
        "borderTopWidth": [{ type: Input },],
    };
    return BorderTopWidthDirective;
}());
export { BorderTopWidthDirective };
var BorderBottomWidthDirective = (function () {
    function BorderBottomWidthDirective() {
    }
    Object.defineProperty(BorderBottomWidthDirective.prototype, "borderBottomWidth", {
        set: function (val) {
            this._borderBottomWidth = format(val);
            this._borderStyle = 'solid';
        },
        enumerable: true,
        configurable: true
    });
    BorderBottomWidthDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderBottomWidth]'
                },] },
    ];
    /** @nocollapse */
    BorderBottomWidthDirective.ctorParameters = function () { return []; };
    BorderBottomWidthDirective.propDecorators = {
        "_borderBottomWidth": [{ type: HostBinding, args: ['style.border-bottom-width',] },],
        "_borderStyle": [{ type: HostBinding, args: ['style.border-bottom-style',] },],
        "borderBottomWidth": [{ type: Input },],
    };
    return BorderBottomWidthDirective;
}());
export { BorderBottomWidthDirective };
var BorderLeftWidthDirective = (function () {
    function BorderLeftWidthDirective() {
    }
    Object.defineProperty(BorderLeftWidthDirective.prototype, "borderLeftWidth", {
        set: function (val) {
            this._borderLeftWidth = format(val);
            this._borderStyle = 'solid';
        },
        enumerable: true,
        configurable: true
    });
    BorderLeftWidthDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderLeftWidth]'
                },] },
    ];
    /** @nocollapse */
    BorderLeftWidthDirective.ctorParameters = function () { return []; };
    BorderLeftWidthDirective.propDecorators = {
        "_borderLeftWidth": [{ type: HostBinding, args: ['style.border-left-width',] },],
        "_borderStyle": [{ type: HostBinding, args: ['style.border-left-style',] },],
        "borderLeftWidth": [{ type: Input },],
    };
    return BorderLeftWidthDirective;
}());
export { BorderLeftWidthDirective };
var BorderRigthWidthDirective = (function () {
    function BorderRigthWidthDirective() {
    }
    Object.defineProperty(BorderRigthWidthDirective.prototype, "borderRigthWidth", {
        set: function (val) {
            this._borderRigthWidth = format(val);
            this._borderStyle = 'solid';
        },
        enumerable: true,
        configurable: true
    });
    BorderRigthWidthDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderRigthWidth]'
                },] },
    ];
    /** @nocollapse */
    BorderRigthWidthDirective.ctorParameters = function () { return []; };
    BorderRigthWidthDirective.propDecorators = {
        "_borderRigthWidth": [{ type: HostBinding, args: ['style.border-rigth-width',] },],
        "_borderStyle": [{ type: HostBinding, args: ['style.border-right-style',] },],
        "borderRigthWidth": [{ type: Input },],
    };
    return BorderRigthWidthDirective;
}());
export { BorderRigthWidthDirective };
/***
 * Border radius props
 */
var BorderRadiusDirective = (function () {
    function BorderRadiusDirective() {
    }
    Object.defineProperty(BorderRadiusDirective.prototype, "borderRadius", {
        set: function (val) {
            this._borderRadius = format(val);
        },
        enumerable: true,
        configurable: true
    });
    BorderRadiusDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderRadius]'
                },] },
    ];
    /** @nocollapse */
    BorderRadiusDirective.ctorParameters = function () { return []; };
    BorderRadiusDirective.propDecorators = {
        "_borderRadius": [{ type: HostBinding, args: ['style.border-radius',] },],
        "borderRadius": [{ type: Input },],
    };
    return BorderRadiusDirective;
}());
export { BorderRadiusDirective };
var BorderTopLeftRadiusDirective = (function () {
    function BorderTopLeftRadiusDirective() {
    }
    Object.defineProperty(BorderTopLeftRadiusDirective.prototype, "borderTopLeftRadius", {
        set: function (val) {
            this._borderTopLeft = format(val);
        },
        enumerable: true,
        configurable: true
    });
    BorderTopLeftRadiusDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderTopLeftRadius]'
                },] },
    ];
    /** @nocollapse */
    BorderTopLeftRadiusDirective.ctorParameters = function () { return []; };
    BorderTopLeftRadiusDirective.propDecorators = {
        "_borderTopLeft": [{ type: HostBinding, args: ['style.border-top-left-radius',] },],
        "borderTopLeftRadius": [{ type: Input },],
    };
    return BorderTopLeftRadiusDirective;
}());
export { BorderTopLeftRadiusDirective };
var BorderTopRightRadiusDirective = (function () {
    function BorderTopRightRadiusDirective() {
    }
    Object.defineProperty(BorderTopRightRadiusDirective.prototype, "borderTopRightRadius", {
        set: function (val) {
            this._borderTopRight = format(val);
        },
        enumerable: true,
        configurable: true
    });
    BorderTopRightRadiusDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderTopRightRadius]'
                },] },
    ];
    /** @nocollapse */
    BorderTopRightRadiusDirective.ctorParameters = function () { return []; };
    BorderTopRightRadiusDirective.propDecorators = {
        "_borderTopRight": [{ type: HostBinding, args: ['style.border-top-right-radius',] },],
        "borderTopRightRadius": [{ type: Input },],
    };
    return BorderTopRightRadiusDirective;
}());
export { BorderTopRightRadiusDirective };
var BorderBottomLeftRadiusDirective = (function () {
    function BorderBottomLeftRadiusDirective() {
    }
    Object.defineProperty(BorderBottomLeftRadiusDirective.prototype, "borderBottomLeftRadius", {
        set: function (val) {
            this._borderBottomLeft = format(val);
        },
        enumerable: true,
        configurable: true
    });
    BorderBottomLeftRadiusDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderBottomLeftRadius]'
                },] },
    ];
    /** @nocollapse */
    BorderBottomLeftRadiusDirective.ctorParameters = function () { return []; };
    BorderBottomLeftRadiusDirective.propDecorators = {
        "_borderBottomLeft": [{ type: HostBinding, args: ['style.border-bottom-left-radius',] },],
        "borderBottomLeftRadius": [{ type: Input },],
    };
    return BorderBottomLeftRadiusDirective;
}());
export { BorderBottomLeftRadiusDirective };
var BorderBottomRightRadiusDirective = (function () {
    function BorderBottomRightRadiusDirective() {
    }
    Object.defineProperty(BorderBottomRightRadiusDirective.prototype, "borderBottomRightRadius", {
        set: function (val) {
            this._borderBottomRight = format(val);
        },
        enumerable: true,
        configurable: true
    });
    BorderBottomRightRadiusDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[borderBottomRightRadius]'
                },] },
    ];
    /** @nocollapse */
    BorderBottomRightRadiusDirective.ctorParameters = function () { return []; };
    BorderBottomRightRadiusDirective.propDecorators = {
        "_borderBottomRight": [{ type: HostBinding, args: ['style.border-bottom-right-radius',] },],
        "borderBottomRightRadius": [{ type: Input },],
    };
    return BorderBottomRightRadiusDirective;
}());
export { BorderBottomRightRadiusDirective };
//# sourceMappingURL=border.directives.js.map