import { Directive, HostBinding, ElementRef, Input } from '@angular/core';
import { format } from '../utils/format';
/**
 * Flex direction directives
 */
var FdrDirective = (function () {
    function FdrDirective(el) {
        this.display = 'flex';
        this.fdr = 'row';
    }
    FdrDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fdr]'
                },] },
    ];
    /** @nocollapse */
    FdrDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    FdrDirective.propDecorators = {
        "display": [{ type: HostBinding, args: ['style.display',] },],
        "fdr": [{ type: HostBinding, args: ['style.flex-direction',] },],
    };
    return FdrDirective;
}());
export { FdrDirective };
var FdcDirective = (function () {
    function FdcDirective(el) {
        this.display = 'flex';
        this.fdr = 'column';
    }
    FdcDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fdc]'
                },] },
    ];
    /** @nocollapse */
    FdcDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    FdcDirective.propDecorators = {
        "display": [{ type: HostBinding, args: ['style.display',] },],
        "fdr": [{ type: HostBinding, args: ['style.flex-direction',] },],
    };
    return FdcDirective;
}());
export { FdcDirective };
var FdrrDirective = (function () {
    function FdrrDirective(el) {
        this.display = 'flex';
        this.fdr = 'row-reverse';
    }
    FdrrDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fdrr]'
                },] },
    ];
    /** @nocollapse */
    FdrrDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    FdrrDirective.propDecorators = {
        "display": [{ type: HostBinding, args: ['style.display',] },],
        "fdr": [{ type: HostBinding, args: ['style.flex-direction',] },],
    };
    return FdrrDirective;
}());
export { FdrrDirective };
var FdcrDirective = (function () {
    function FdcrDirective(el) {
        this.display = 'flex';
        this.fdr = 'column-reverse';
    }
    FdcrDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fdcr]'
                },] },
    ];
    /** @nocollapse */
    FdcrDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    FdcrDirective.propDecorators = {
        "display": [{ type: HostBinding, args: ['style.display',] },],
        "fdr": [{ type: HostBinding, args: ['style.flex-direction',] },],
    };
    return FdcrDirective;
}());
export { FdcrDirective };
/**
 * Flex wrap directives
 */
var FwDirective = (function () {
    function FwDirective(el) {
        this.fw = 'wrap';
    }
    FwDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fw]'
                },] },
    ];
    /** @nocollapse */
    FwDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    FwDirective.propDecorators = {
        "fw": [{ type: HostBinding, args: ['style.flex-wrap',] },],
    };
    return FwDirective;
}());
export { FwDirective };
var FnwDirective = (function () {
    function FnwDirective(el) {
        this.fw = 'nowrap';
    }
    FnwDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fnw]'
                },] },
    ];
    /** @nocollapse */
    FnwDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    FnwDirective.propDecorators = {
        "fw": [{ type: HostBinding, args: ['style.flex-wrap',] },],
    };
    return FnwDirective;
}());
export { FnwDirective };
var FwrwDirective = (function () {
    function FwrwDirective(el) {
        this.fw = 'wrap-reverse';
    }
    FwrwDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fwr]'
                },] },
    ];
    /** @nocollapse */
    FwrwDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    FwrwDirective.propDecorators = {
        "fw": [{ type: HostBinding, args: ['style.flex-wrap',] },],
    };
    return FwrwDirective;
}());
export { FwrwDirective };
/***
 * Flex flow directives
 */
var FffdDirective = (function () {
    function FffdDirective(el) {
        this.ff = 'flex-direction';
    }
    FffdDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fffd]'
                },] },
    ];
    /** @nocollapse */
    FffdDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    FffdDirective.propDecorators = {
        "ff": [{ type: HostBinding, args: ['style.flex-flwo',] },],
    };
    return FffdDirective;
}());
export { FffdDirective };
var FffwDirective = (function () {
    function FffwDirective(el) {
        this.ff = 'flex-wrap';
    }
    FffwDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fffw]'
                },] },
    ];
    /** @nocollapse */
    FffwDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    FffwDirective.propDecorators = {
        "ff": [{ type: HostBinding, args: ['style.flex-flwo',] },],
    };
    return FffwDirective;
}());
export { FffwDirective };
/**
 * Flex basis directives
 */
var FbDirective = (function () {
    function FbDirective() {
        this._fb = 'auto';
    }
    Object.defineProperty(FbDirective.prototype, "fb", {
        set: function (val) {
            this._fb = format(val);
        },
        enumerable: true,
        configurable: true
    });
    FbDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fb]'
                },] },
    ];
    /** @nocollapse */
    FbDirective.ctorParameters = function () { return []; };
    FbDirective.propDecorators = {
        "_fb": [{ type: HostBinding, args: ['style.flex-basis',] },],
        "fb": [{ type: Input },],
    };
    return FbDirective;
}());
export { FbDirective };
/***
 * Justify content directives
 */
var JcsaDirective = (function () {
    function JcsaDirective(el) {
        this.jc = 'space-around';
        this.display = 'flex';
    }
    JcsaDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[jcsa]'
                },] },
    ];
    /** @nocollapse */
    JcsaDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    JcsaDirective.propDecorators = {
        "jc": [{ type: HostBinding, args: ['style.justify-content',] },],
        "display": [{ type: HostBinding, args: ['style.display',] },],
    };
    return JcsaDirective;
}());
export { JcsaDirective };
var JcsbDirective = (function () {
    function JcsbDirective(el) {
        this.jc = 'space-between';
        this.display = 'flex';
    }
    JcsbDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[jcsb]'
                },] },
    ];
    /** @nocollapse */
    JcsbDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    JcsbDirective.propDecorators = {
        "jc": [{ type: HostBinding, args: ['style.justify-content',] },],
        "display": [{ type: HostBinding, args: ['style.display',] },],
    };
    return JcsbDirective;
}());
export { JcsbDirective };
var JccDirective = (function () {
    function JccDirective(el) {
        this.jc = 'center';
        this.display = 'flex';
    }
    JccDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[jcc]'
                },] },
    ];
    /** @nocollapse */
    JccDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    JccDirective.propDecorators = {
        "jc": [{ type: HostBinding, args: ['style.justify-content',] },],
        "display": [{ type: HostBinding, args: ['style.display',] },],
    };
    return JccDirective;
}());
export { JccDirective };
var JcfeDirective = (function () {
    function JcfeDirective(el) {
        this.jc = 'flex-end';
        this.display = 'flex';
    }
    JcfeDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[jcfe]'
                },] },
    ];
    /** @nocollapse */
    JcfeDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    JcfeDirective.propDecorators = {
        "jc": [{ type: HostBinding, args: ['style.justify-content',] },],
        "display": [{ type: HostBinding, args: ['style.display',] },],
    };
    return JcfeDirective;
}());
export { JcfeDirective };
var JcfsDirective = (function () {
    function JcfsDirective(el) {
        this.jc = 'flex-start';
        this.display = 'flex';
    }
    JcfsDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[jcfs]'
                },] },
    ];
    /** @nocollapse */
    JcfsDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    JcfsDirective.propDecorators = {
        "jc": [{ type: HostBinding, args: ['style.justify-content',] },],
        "display": [{ type: HostBinding, args: ['style.display',] },],
    };
    return JcfsDirective;
}());
export { JcfsDirective };
var JcseDirective = (function () {
    function JcseDirective(el) {
        this.jc = 'space-evenly';
        this.display = 'flex';
    }
    JcseDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[jcse]'
                },] },
    ];
    /** @nocollapse */
    JcseDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    JcseDirective.propDecorators = {
        "jc": [{ type: HostBinding, args: ['style.justify-content',] },],
        "display": [{ type: HostBinding, args: ['style.display',] },],
    };
    return JcseDirective;
}());
export { JcseDirective };
/***
 * Align items directives
 */
var AibDirective = (function () {
    function AibDirective(el) {
        this.ai = 'baseline';
    }
    AibDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[aib]'
                },] },
    ];
    /** @nocollapse */
    AibDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AibDirective.propDecorators = {
        "ai": [{ type: HostBinding, args: ['style.align-items',] },],
    };
    return AibDirective;
}());
export { AibDirective };
var AicDirective = (function () {
    function AicDirective(el) {
        this.ai = 'center';
    }
    AicDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[aic]'
                },] },
    ];
    /** @nocollapse */
    AicDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AicDirective.propDecorators = {
        "ai": [{ type: HostBinding, args: ['style.align-items',] },],
    };
    return AicDirective;
}());
export { AicDirective };
var AifeDirective = (function () {
    function AifeDirective(el) {
        this.ai = 'flex-end';
    }
    AifeDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[aife]'
                },] },
    ];
    /** @nocollapse */
    AifeDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AifeDirective.propDecorators = {
        "ai": [{ type: HostBinding, args: ['style.align-items',] },],
    };
    return AifeDirective;
}());
export { AifeDirective };
var AifsDirective = (function () {
    function AifsDirective(el) {
        this.ai = 'flex-start';
    }
    AifsDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[aifs]'
                },] },
    ];
    /** @nocollapse */
    AifsDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AifsDirective.propDecorators = {
        "ai": [{ type: HostBinding, args: ['style.align-items',] },],
    };
    return AifsDirective;
}());
export { AifsDirective };
var AisDirective = (function () {
    function AisDirective(el) {
        this.ais = 'stretch';
    }
    AisDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[ais]'
                },] },
    ];
    /** @nocollapse */
    AisDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AisDirective.propDecorators = {
        "ais": [{ type: HostBinding, args: ['style.align-items',] },],
    };
    return AisDirective;
}());
export { AisDirective };
var AsaDirective = (function () {
    function AsaDirective(el) {
        this.asa = 'auto';
    }
    AsaDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[asa]'
                },] },
    ];
    /** @nocollapse */
    AsaDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AsaDirective.propDecorators = {
        "asa": [{ type: HostBinding, args: ['style.align-self',] },],
    };
    return AsaDirective;
}());
export { AsaDirective };
var AssDirective = (function () {
    function AssDirective(el) {
        this.ass = 'strecth';
    }
    AssDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[ass]'
                },] },
    ];
    /** @nocollapse */
    AssDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AssDirective.propDecorators = {
        "ass": [{ type: HostBinding, args: ['style.align-self',] },],
    };
    return AssDirective;
}());
export { AssDirective };
var AscDirective = (function () {
    function AscDirective(el) {
        this.asc = 'center';
    }
    AscDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[asc]'
                },] },
    ];
    /** @nocollapse */
    AscDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AscDirective.propDecorators = {
        "asc": [{ type: HostBinding, args: ['style.align-self',] },],
    };
    return AscDirective;
}());
export { AscDirective };
var AsfsDirective = (function () {
    function AsfsDirective(el) {
        this.asfs = 'flex-start';
    }
    AsfsDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[asfs]'
                },] },
    ];
    /** @nocollapse */
    AsfsDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AsfsDirective.propDecorators = {
        "asfs": [{ type: HostBinding, args: ['style.align-self',] },],
    };
    return AsfsDirective;
}());
export { AsfsDirective };
var AsfeDirective = (function () {
    function AsfeDirective(el) {
        this.asfe = 'flex-end';
    }
    AsfeDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[asfe]'
                },] },
    ];
    /** @nocollapse */
    AsfeDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AsfeDirective.propDecorators = {
        "asfe": [{ type: HostBinding, args: ['style.align-self',] },],
    };
    return AsfeDirective;
}());
export { AsfeDirective };
var AsfbDirective = (function () {
    function AsfbDirective(el) {
        this.asfb = 'baseline';
    }
    AsfbDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[asfb]'
                },] },
    ];
    /** @nocollapse */
    AsfbDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AsfbDirective.propDecorators = {
        "asfb": [{ type: HostBinding, args: ['style.align-self',] },],
    };
    return AsfbDirective;
}());
export { AsfbDirective };
var AsiDirective = (function () {
    function AsiDirective(el) {
        this.asi = 'intial';
    }
    AsiDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[asi]'
                },] },
    ];
    /** @nocollapse */
    AsiDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AsiDirective.propDecorators = {
        "asi": [{ type: HostBinding, args: ['style.align-self',] },],
    };
    return AsiDirective;
}());
export { AsiDirective };
/**
 * General flex directives
 */
var FlexShortDirective = (function () {
    function FlexShortDirective() {
    }
    Object.defineProperty(FlexShortDirective.prototype, "flexShort", {
        set: function (val) {
            this._flex = val;
        },
        enumerable: true,
        configurable: true
    });
    FlexShortDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[flexShort]'
                },] },
    ];
    /** @nocollapse */
    FlexShortDirective.ctorParameters = function () { return []; };
    FlexShortDirective.propDecorators = {
        "_flex": [{ type: HostBinding, args: ['style.flex-short',] },],
        "flexShort": [{ type: Input },],
    };
    return FlexShortDirective;
}());
export { FlexShortDirective };
var FlexGrowDirective = (function () {
    function FlexGrowDirective() {
    }
    Object.defineProperty(FlexGrowDirective.prototype, "flexGrow", {
        set: function (val) {
            this.fg = val;
        },
        enumerable: true,
        configurable: true
    });
    FlexGrowDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[flexGrow]'
                },] },
    ];
    /** @nocollapse */
    FlexGrowDirective.ctorParameters = function () { return []; };
    FlexGrowDirective.propDecorators = {
        "fg": [{ type: HostBinding, args: ['style.flex-grow',] },],
        "flexGrow": [{ type: Input },],
    };
    return FlexGrowDirective;
}());
export { FlexGrowDirective };
var FlexDirective = (function () {
    function FlexDirective() {
    }
    Object.defineProperty(FlexDirective.prototype, "flex", {
        set: function (val) {
            this.fl = val;
        },
        enumerable: true,
        configurable: true
    });
    FlexDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[flex]'
                },] },
    ];
    /** @nocollapse */
    FlexDirective.ctorParameters = function () { return []; };
    FlexDirective.propDecorators = {
        "fl": [{ type: HostBinding, args: ['style.flex',] },],
        "flex": [{ type: Input },],
    };
    return FlexDirective;
}());
export { FlexDirective };
var FlexShrinkDirective = (function () {
    function FlexShrinkDirective() {
    }
    Object.defineProperty(FlexShrinkDirective.prototype, "flexShrink", {
        set: function (val) {
            this.fs = val;
        },
        enumerable: true,
        configurable: true
    });
    FlexShrinkDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[flexShrink]'
                },] },
    ];
    /** @nocollapse */
    FlexShrinkDirective.ctorParameters = function () { return []; };
    FlexShrinkDirective.propDecorators = {
        "fs": [{ type: HostBinding, args: ['style.flex-shrink',] },],
        "flexShrink": [{ type: Input },],
    };
    return FlexShrinkDirective;
}());
export { FlexShrinkDirective };
var FlexOrderDirective = (function () {
    function FlexOrderDirective() {
    }
    Object.defineProperty(FlexOrderDirective.prototype, "order", {
        set: function (val) {
            this._order = val;
        },
        enumerable: true,
        configurable: true
    });
    FlexOrderDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[order]'
                },] },
    ];
    /** @nocollapse */
    FlexOrderDirective.ctorParameters = function () { return []; };
    FlexOrderDirective.propDecorators = {
        "_order": [{ type: HostBinding, args: ['style.order',] },],
        "order": [{ type: Input },],
    };
    return FlexOrderDirective;
}());
export { FlexOrderDirective };
//# sourceMappingURL=flex.directives.js.map