import { Directive, HostBinding, Input } from '@angular/core';
import { format } from '../utils/format';
/**
 * Font directives
 */
var ColorDirective = (function () {
    function ColorDirective() {
    }
    Object.defineProperty(ColorDirective.prototype, "color", {
        set: function (val) {
            this._color = val;
        },
        enumerable: true,
        configurable: true
    });
    ColorDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[color]'
                },] },
    ];
    /** @nocollapse */
    ColorDirective.ctorParameters = function () { return []; };
    ColorDirective.propDecorators = {
        "_color": [{ type: HostBinding, args: ['style.color',] },],
        "color": [{ type: Input },],
    };
    return ColorDirective;
}());
export { ColorDirective };
var FontSizeDirective = (function () {
    function FontSizeDirective() {
    }
    Object.defineProperty(FontSizeDirective.prototype, "fontSize", {
        set: function (val) {
            this._fontSize = format(val);
        },
        enumerable: true,
        configurable: true
    });
    FontSizeDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fontSize]'
                },] },
    ];
    /** @nocollapse */
    FontSizeDirective.ctorParameters = function () { return []; };
    FontSizeDirective.propDecorators = {
        "_fontSize": [{ type: HostBinding, args: ['style.font-size',] },],
        "fontSize": [{ type: Input },],
    };
    return FontSizeDirective;
}());
export { FontSizeDirective };
var FontWeightDirective = (function () {
    function FontWeightDirective() {
    }
    Object.defineProperty(FontWeightDirective.prototype, "fontWeight", {
        set: function (val) {
            this._fontWeight = val;
        },
        enumerable: true,
        configurable: true
    });
    FontWeightDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[fontWeight]'
                },] },
    ];
    /** @nocollapse */
    FontWeightDirective.ctorParameters = function () { return []; };
    FontWeightDirective.propDecorators = {
        "_fontWeight": [{ type: HostBinding, args: ['style.font-weight',] },],
        "fontWeight": [{ type: Input },],
    };
    return FontWeightDirective;
}());
export { FontWeightDirective };
var UnderlineDirective = (function () {
    function UnderlineDirective() {
    }
    Object.defineProperty(UnderlineDirective.prototype, "underline", {
        set: function (val) {
            if (val !== null && "" + val !== 'false') {
                this._underline = 'underline';
            }
        },
        enumerable: true,
        configurable: true
    });
    UnderlineDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[underline]'
                },] },
    ];
    /** @nocollapse */
    UnderlineDirective.ctorParameters = function () { return []; };
    UnderlineDirective.propDecorators = {
        "_underline": [{ type: HostBinding, args: ['style.textDecoration',] },],
        "underline": [{ type: Input },],
    };
    return UnderlineDirective;
}());
export { UnderlineDirective };
var ItalicDirective = (function () {
    function ItalicDirective() {
    }
    Object.defineProperty(ItalicDirective.prototype, "italic", {
        set: function (val) {
            if (val !== null && "" + val !== 'false') {
                this.fontStyle = 'italic';
            }
        },
        enumerable: true,
        configurable: true
    });
    ItalicDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[italic]'
                },] },
    ];
    /** @nocollapse */
    ItalicDirective.ctorParameters = function () { return []; };
    ItalicDirective.propDecorators = {
        "fontStyle": [{ type: HostBinding, args: ['style.fontStyle',] },],
        "italic": [{ type: Input },],
    };
    return ItalicDirective;
}());
export { ItalicDirective };
var LineHeightDirective = (function () {
    function LineHeightDirective() {
    }
    Object.defineProperty(LineHeightDirective.prototype, "lineHeight", {
        set: function (val) {
            this._lineHeight = format(val);
        },
        enumerable: true,
        configurable: true
    });
    LineHeightDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[lineHeight]'
                },] },
    ];
    /** @nocollapse */
    LineHeightDirective.ctorParameters = function () { return []; };
    LineHeightDirective.propDecorators = {
        "_lineHeight": [{ type: HostBinding, args: ['style.lineHeight',] },],
        "lineHeight": [{ type: Input },],
    };
    return LineHeightDirective;
}());
export { LineHeightDirective };
var WhiteSpaceDirective = (function () {
    function WhiteSpaceDirective() {
    }
    Object.defineProperty(WhiteSpaceDirective.prototype, "whiteSpace", {
        set: function (val) {
            if (val !== null && "" + val !== 'false') {
                this._whiteSpace = val;
            }
        },
        enumerable: true,
        configurable: true
    });
    WhiteSpaceDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[whiteSpace]'
                },] },
    ];
    /** @nocollapse */
    WhiteSpaceDirective.ctorParameters = function () { return []; };
    WhiteSpaceDirective.propDecorators = {
        "_whiteSpace": [{ type: HostBinding, args: ['style.white-space',] },],
        "whiteSpace": [{ type: Input },],
    };
    return WhiteSpaceDirective;
}());
export { WhiteSpaceDirective };
var TextOverflowDirective = (function () {
    function TextOverflowDirective() {
    }
    Object.defineProperty(TextOverflowDirective.prototype, "textOverflow", {
        set: function (val) {
            this._textOverflow = val;
        },
        enumerable: true,
        configurable: true
    });
    TextOverflowDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[textOverflow]'
                },] },
    ];
    /** @nocollapse */
    TextOverflowDirective.ctorParameters = function () { return []; };
    TextOverflowDirective.propDecorators = {
        "_textOverflow": [{ type: HostBinding, args: ['style.text-overflow',] },],
        "textOverflow": [{ type: Input },],
    };
    return TextOverflowDirective;
}());
export { TextOverflowDirective };
//# sourceMappingURL=font.directives.js.map