import { NgModule } from '@angular/core';
import { BackgroundColorDirective, BackgroundDirective, BackgroundSizeDirective } from './directives/background.directives';
import { BorderBottomColorDirective, BorderBottomLeftRadiusDirective, BorderBottomRightRadiusDirective, BorderBottomWidthDirective, BorderColorDirective, BorderLeftColorDirective, BorderLeftWidthDirective, BorderRadiusDirective, BorderRightColorDirective, BorderRigthWidthDirective, BorderTopColorDirective, BorderTopLeftRadiusDirective, BorderTopRightRadiusDirective, BorderTopWidthDirective, BorderWidthDirective } from './directives/border.directives';
import { BlurDirective, CursorDirective, OpacityDirective, TransformDirective } from './directives/extra.directives';
import { AibDirective, AicDirective, AifeDirective, AifsDirective, AisDirective, AsaDirective, AssDirective, AscDirective, AsfsDirective, AsfeDirective, AsfbDirective, AsiDirective, JccDirective, JcfeDirective, JcfsDirective, JcsaDirective, JcsbDirective, JcseDirective, FlexDirective, FlexShortDirective, FlexGrowDirective, FlexOrderDirective, FlexShrinkDirective, FbDirective, FdcDirective, FdcrDirective, FdrDirective, FdrrDirective, FffdDirective, FffwDirective, FnwDirective, FwDirective, FwrwDirective } from './directives/flex.directives';
import { FontSizeDirective, FontWeightDirective, ColorDirective, UnderlineDirective, ItalicDirective, LineHeightDirective, TextOverflowDirective, WhiteSpaceDirective } from './directives/font.directives';
import { HeightDirective, MaxHeightDirective, MinHeightDirective } from './directives/height.directives';
import { MarginDirective, MarginBottomDirective, MarginTopDirective, MarginLeftDirective, MarginRightDirective } from './directives/margin.directives';
import { OverflowDirective, OverflowXDirective, OverflowYDirective } from './directives/overflow.directives';
import { PaddingDirective, PaddingBottomDirective, PaddingLeftDirective, PaddingRightDirective, PaddingTopDirective } from './directives/padding.directives';
import { PositionDirective, DisplayDirective, FloatDirective, ZIndexDirective, LeftDirective, RightDirective, TopDirective, BottomDirective } from './directives/position.directives';
import { TextAlignCenterDirective, TextAlignLeftDirective, TextAlignRightDirective } from './directives/textAlign.directives';
import { WidthDirective, MaxWidthDirective, MinWidthDirective } from './directives/width.directives';
var StyledComponentsModule = (function () {
    function StyledComponentsModule() {
    }
    StyledComponentsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [],
                    declarations: [
                        [
                            BackgroundColorDirective,
                            BackgroundDirective,
                            BackgroundSizeDirective,
                            BorderBottomColorDirective,
                            BorderBottomLeftRadiusDirective,
                            BorderBottomRightRadiusDirective,
                            BorderBottomWidthDirective,
                            BorderColorDirective,
                            BorderLeftColorDirective,
                            BorderLeftWidthDirective,
                            BorderRadiusDirective,
                            BorderRightColorDirective,
                            BorderRigthWidthDirective,
                            BorderTopColorDirective,
                            BorderTopLeftRadiusDirective,
                            BorderTopRightRadiusDirective,
                            BorderTopWidthDirective,
                            BorderWidthDirective,
                            AibDirective,
                            AicDirective,
                            AifeDirective,
                            AifsDirective,
                            AisDirective,
                            AsaDirective,
                            AssDirective,
                            AscDirective,
                            AsfsDirective,
                            AsfeDirective,
                            AsfbDirective,
                            AsiDirective,
                            JccDirective,
                            JcfeDirective,
                            JcfsDirective,
                            JcsaDirective,
                            JcsbDirective,
                            JcseDirective,
                            FlexDirective,
                            FlexShortDirective,
                            FlexGrowDirective,
                            FlexOrderDirective,
                            FlexShrinkDirective,
                            FbDirective,
                            FdcDirective,
                            FdcrDirective,
                            FdrDirective,
                            FdrrDirective,
                            FffdDirective,
                            FffwDirective,
                            FnwDirective,
                            FwDirective,
                            FwrwDirective,
                            FontSizeDirective,
                            FontWeightDirective,
                            ColorDirective,
                            UnderlineDirective,
                            ItalicDirective,
                            LineHeightDirective,
                            TextOverflowDirective,
                            WhiteSpaceDirective,
                            HeightDirective,
                            MaxHeightDirective,
                            MinHeightDirective,
                            MarginDirective,
                            MarginBottomDirective,
                            MarginTopDirective,
                            MarginLeftDirective,
                            MarginRightDirective,
                            OverflowDirective,
                            OverflowXDirective,
                            OverflowYDirective,
                            PaddingDirective,
                            PaddingBottomDirective,
                            PaddingLeftDirective,
                            PaddingRightDirective,
                            PaddingTopDirective,
                            PositionDirective,
                            DisplayDirective,
                            FloatDirective,
                            ZIndexDirective,
                            LeftDirective,
                            RightDirective,
                            TopDirective,
                            BottomDirective,
                            TextAlignCenterDirective,
                            TextAlignLeftDirective,
                            TextAlignRightDirective,
                            WidthDirective,
                            MaxWidthDirective,
                            MinWidthDirective,
                            BlurDirective,
                            OpacityDirective,
                            TransformDirective,
                            CursorDirective
                        ]
                    ],
                    providers: [],
                    exports: [
                        BackgroundColorDirective,
                        BackgroundDirective,
                        BackgroundSizeDirective,
                        BorderBottomColorDirective,
                        BorderBottomLeftRadiusDirective,
                        BorderBottomRightRadiusDirective,
                        BorderBottomWidthDirective,
                        BorderColorDirective,
                        BorderLeftColorDirective,
                        BorderLeftWidthDirective,
                        BorderRadiusDirective,
                        BorderRightColorDirective,
                        BorderRigthWidthDirective,
                        BorderTopColorDirective,
                        BorderTopLeftRadiusDirective,
                        BorderTopRightRadiusDirective,
                        BorderTopWidthDirective,
                        BorderWidthDirective,
                        AibDirective,
                        AicDirective,
                        AifeDirective,
                        AifsDirective,
                        AisDirective,
                        AsaDirective,
                        AssDirective,
                        AscDirective,
                        AsfsDirective,
                        AsfeDirective,
                        AsfbDirective,
                        AsiDirective,
                        JccDirective,
                        JcfeDirective,
                        JcfsDirective,
                        JcsaDirective,
                        JcsbDirective,
                        JcseDirective,
                        FlexDirective,
                        FlexGrowDirective,
                        FlexOrderDirective,
                        FlexShrinkDirective,
                        FbDirective,
                        FdcDirective,
                        FdcrDirective,
                        FdrDirective,
                        FdrrDirective,
                        FffdDirective,
                        FffwDirective,
                        FnwDirective,
                        FwDirective,
                        FwrwDirective,
                        FontSizeDirective,
                        FontWeightDirective,
                        ColorDirective,
                        ItalicDirective,
                        LineHeightDirective,
                        UnderlineDirective,
                        TextOverflowDirective,
                        WhiteSpaceDirective,
                        HeightDirective,
                        MaxHeightDirective,
                        MinHeightDirective,
                        MarginDirective,
                        MarginBottomDirective,
                        MarginTopDirective,
                        MarginLeftDirective,
                        MarginRightDirective,
                        OverflowDirective,
                        OverflowXDirective,
                        OverflowYDirective,
                        PaddingDirective,
                        PaddingBottomDirective,
                        PaddingLeftDirective,
                        PaddingRightDirective,
                        PaddingTopDirective,
                        PositionDirective,
                        DisplayDirective,
                        FloatDirective,
                        ZIndexDirective,
                        LeftDirective,
                        RightDirective,
                        TopDirective,
                        BottomDirective,
                        TextAlignCenterDirective,
                        TextAlignLeftDirective,
                        TextAlignRightDirective,
                        WidthDirective,
                        MaxWidthDirective,
                        MinWidthDirective,
                        BlurDirective,
                        OpacityDirective,
                        TransformDirective,
                        CursorDirective
                    ]
                },] },
    ];
    /** @nocollapse */
    StyledComponentsModule.ctorParameters = function () { return []; };
    return StyledComponentsModule;
}());
export { StyledComponentsModule };
//# sourceMappingURL=sc.module.js.map